## com.vividsolutions.jts.util
Class GeometricShapeFactory.Dimensions

    java.lang.Object
      com.vividsolutions.jts.util.GeometricShapeFactory.Dimensions

Enclosing class:
  GeometricShapeFactory

protected class GeometricShapeFactory.Dimensions
extends java.lang.Object

Field Summary
`Coordinate` `base`
`Coordinate` `centre`
`double` `height`
`double` `width`

Constructor Summary
`protected` `GeometricShapeFactory.Dimensions()`

Method Summary
`Envelope` `getEnvelope()`
`void` `setBase(Coordinate base)`
`void` `setCentre(Coordinate centre)`
`void` `setHeight(double height)`
`void` `setSize(double size)`
`void` `setWidth(double width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    public Coordinate base

### centre

    public Coordinate centre

### width

    public double width

### height

    public double height

Constructor Detail

### GeometricShapeFactory.Dimensions

    protected GeometricShapeFactory.Dimensions()

Method Detail

### setBase

    public void setBase(Coordinate base)

### setCentre

    public void setCentre(Coordinate centre)

### setSize

    public void setSize(double size)

### setWidth

    public void setWidth(double width)

### setHeight

    public void setHeight(double height)

### getEnvelope

    public Envelope getEnvelope()